class PathAggregator:
    def __init__(self, basefolder: str, directory: str, file: str, year: str = None) -> None:
        self.basefolder = basefolder
        self.directory  = directory
        self.file       = file
        self.year       = year


    def get_path_to_file(self) -> str:
        if self.year != None:
            return f"./{self.basefolder}/{self.directory}/{self.year}/{self.file}"

        return f"./{self.basefolder}/{self.directory}/{self.file}"